classification
Title: Convert posixmodule.c to multiphase initialization (PEP 489)
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: shihai1991, vstinner
Priority: normal Keywords: patch

Created on 2020-05-07 18:05 by vstinner, last changed 2020-05-14 16:06 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19982 merged vstinner, 2020-05-07 18:13
PR 20075 merged vstinner, 2020-05-13 22:07
Messages (3)
msg368362 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-05-07 18:05
Attached PR converts posixmodule.c to multiphase initialization (PEP 489).

It uses the new shiny PyType_FromModuleAndSpec() and PyType_GetModule() of the PEP 573 added by bpo-38787.

The PR removes the following macro :-)

#define _posixstate_global ((_posixstate *)PyModule_GetState(PyState_FindModule(&posixmodule)))
msg368572 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-05-10 09:05
New changeset 1c2fa781560608aa4be50c748d4b3f403cfa5035 by Victor Stinner in branch 'master':
bpo-40549: Convert posixmodule.c to multiphase init (GH-19982)
https://github.com/python/cpython/commit/1c2fa781560608aa4be50c748d4b3f403cfa5035
msg368845 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-05-14 16:06
New changeset 97f33c35445e6d67df24dcbafef7b78333feb778 by Victor Stinner in branch 'master':
bpo-40549: posixmodule.c uses defining_class (GH-20075)
https://github.com/python/cpython/commit/97f33c35445e6d67df24dcbafef7b78333feb778
History
Date User Action Args
2020-05-14 16:06:05vstinnersetmessages: + msg368845
2020-05-13 22:07:06vstinnersetpull_requests: + pull_request19381
2020-05-10 09:56:10vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-05-10 09:05:33vstinnersetmessages: + msg368572
2020-05-08 05:01:24shihai1991setnosy: + shihai1991
2020-05-07 18:13:13vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request19298
2020-05-07 18:05:48vstinnercreate